Skip to content
Pay
Esc
↑↓navigate↵open⌘Jpreview

List providers

The providers enabled for your project.

GET/providers

An org admin enables providers per project in the dashboard; this endpoint is read-only.

Response

An array of:

idstringrequired

The provider id to pass as provider, e.g. momo.

namestringrequired

Display name, e.g. MTN Mobile Money.

statusstringrequired

active or inactive.

created_atintegerrequired

Unix time (seconds) it was added.

updated_atintegerrequired

Unix time (seconds) of its last change.

Request
curl -X GET 'https://api.razpay.razonetix.com/v1/providers' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "success": true,
  "message": "",
  "data": [
    { "id": "momo", "name": "MTN Mobile Money", "status": "active", "created_at": 1751635200, "updated_at": 1751635200 }
  ]
}

Was this page helpful?